#include <bits/stdc++.h>
using namespace std;
int n;
double por[2000005];
double a[200005],p[200005],suma,maxi;
int main(){
    cin>>n;

  for(int i=1; i<=n; i++)
    cin>>a[i]>>p[i];
    cout<<setprecision (5)<<fixed;
     for(int i=1; i<=n; i++){
         suma=0;
     for (int j=1; j<=n; j++){
    if (p[i]<=p[j]){
        suma+=a[j];
    }
    por[i]=suma*(p[i]/100);

     } }
       maxi=por[1];
     for(int i=1; i<=n; i++){


     if (por[i]>maxi){maxi=por[i];}}
     cout<<maxi<<endl;

  return 0;
}